Skip to main content
GET
/
video
/
status
/
{id}
curl "https://mvp.tryunsora.com/api/v1/video/status/GENERATION_ID" \
  -H "Authorization: Bearer uns_live_YOUR_API_KEY"
{
  "success": true,
  "data": {
    "id": "<string>",
    "model": "seedance_2.0",
    "outputUrl": "<string>",
    "thumbnailUrl": "<string>",
    "error": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
Poll a video job created via Create video. Use the id from the create response. GET /video/status/{id} — same pattern as image (/image/status/{id}). Poll every few seconds until status is COMPLETED or FAILED.

Path parameter

id
string
required
Generation id from POST /videos/create (generation.id).

Response

{
  "success": true,
  "data": {
    "id": "cm123abc",
    "model": "seedance_2.0",
    "status": "COMPLETED",
    "outputUrl": "https://files.tryunsora.com/....mp4",
    "thumbnailUrl": "https://files.tryunsora.com/....jpg",
    "error": null,
    "createdAt": "2026-06-02T12:00:00.000Z",
    "updatedAt": "2026-06-02T12:01:30.000Z",
    "completedAt": "2026-06-02T12:01:30.000Z"
  }
}
statusMeaning
QUEUEDWaiting to start
PROCESSINGRendering
COMPLETEDoutputUrl is ready
FAILEDSee error

Example

curl "https://mvp.tryunsora.com/api/v1/video/status/GENERATION_ID" \
  -H "Authorization: Bearer uns_live_YOUR_API_KEY"

Errors

HTTPWhen
400Missing id
401Invalid auth
404User or generation not found
500Server error

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Path Parameters

id
string
required

Generation id from POST /videos/create

Response

Current job status

success
boolean
required
data
object
required